Index: XIOS/trunk/doc/XIOS_reference_guide.lyx
===================================================================
--- XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1623)
+++ XIOS/trunk/doc/XIOS_reference_guide.lyx	(revision 1740)
@@ -1,6 +1,8 @@
-#LyX 2.1 created this file. For more info see http://www.lyx.org/
-\lyxformat 474
+#LyX 2.2 created this file. For more info see http://www.lyx.org/
+\lyxformat 508
 \begin_document
 \begin_header
+\save_transient_properties true
+\origin unavailable
 \textclass book
 \use_default_options true
@@ -13,14 +15,14 @@
 \inputencoding auto
 \fontencoding global
-\font_roman default
-\font_sans default
-\font_typewriter default
-\font_math auto
+\font_roman "default" "default"
+\font_sans "default" "default"
+\font_typewriter "default" "default"
+\font_math "auto" "auto"
 \font_default_family default
 \use_non_tex_fonts false
 \font_sc false
 \font_osf false
-\font_sf_scale 100
-\font_tt_scale 100
+\font_sf_scale 100 100
+\font_tt_scale 100 100
 \graphics default
 \default_output_format default
@@ -77,8 +79,4 @@
 \end_layout
 
-\begin_layout Author
-Yann Meurdesoif
-\end_layout
-
 \begin_layout Chapter
 Attribute reference
@@ -1102,7 +1100,6 @@
 Defines the precision in bytes of scalar value and boundaries as it will
  be written into an output file.
- Available values are: 2 (integer), 4 (float single precision) and 8 (float
- double precision).
- The default value is 8.
+ Available values are: 4 (float single precision) and 8 (float double precision).
+ The default value is 4.
 \end_layout
 
@@ -1423,4 +1420,5 @@
 \begin_layout Standard
 Defines the name of axis dimension as it will appear in the file's metadata.
+ The default axis dimension name is the axis name.
 \end_layout
 
@@ -1448,5 +1446,16 @@
 
 \begin_layout Standard
-Adds the formula attribute to a parametric vertical axis.
+Adds the 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+formula
+\end_layout
+
+\end_inset
+
+ attribute to the metadata associated to the axis in the output file, for
+ CF conformance.
 \end_layout
 
@@ -1474,5 +1483,16 @@
 
 \begin_layout Standard
-Adds the formula terms attribute to a parametric vertical axis.
+Adds the 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+formula_term
+\end_layout
+
+\end_inset
+
+ attribute to the metadata associated to the axis in the output file, for
+ CF conformance.
 \end_layout
 
@@ -1500,8 +1520,7 @@
 
 \begin_layout Standard
-Adds the formula attribute to the bounds of a parametric vertical axis.
- The attribute is mandatory if the 
-\begin_inset Flex Strong
-status collapsed
+Adds the 
+\begin_inset Flex Code
+status open
 
 \begin_layout Plain Layout
@@ -1511,5 +1530,17 @@
 \end_inset
 
- attribute is defined for the axis.
+ attribute to the metadata associated to the axis boundairies in the output
+ file, for CF conformance.
+ This attribute is meaningfull if 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+axis_bounds
+\end_layout
+
+\end_inset
+
+ is not defined.
 \end_layout
 
@@ -1537,17 +1568,27 @@
 
 \begin_layout Standard
-Adds the formula terms attribute to the bounds of a parametric vertical
- axis.
- The attribute is mandatory if the 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-formula
-\end_layout
-
-\end_inset
-
- attribute is defined for the axis.
+Adds the 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+formula_term
+\end_layout
+
+\end_inset
+
+ attribute to the metadata associated to the axis boundairies in the output
+ file, for CF conformance.
+ This attribute is meaningfull if 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+axis_bounds
+\end_layout
+
+\end_inset
+
+ is not defined.
 \end_layout
 
@@ -1635,5 +1676,5 @@
 
 \begin_layout LyX-Code
-INTEGER :: zoom_size
+INTEGER :: n
 \end_layout
 
@@ -1820,5 +1861,5 @@
 
 \begin_layout Standard
-Defines the name of axis boundaries as it will appear in a file.
+Defines the name of axis boundaries as it will appear in an ouput file.
  If not defined, the name will be generated automatically based on the axis
  id.
@@ -1842,7 +1883,6 @@
 Defines the precision in bytes of axis value and boundaries as it will be
  written into an output file.
- Available values are: 2 (integer), 4 (float single precision) and 8 (float
- double precision).
- The default value is 8.
+ Available values are: 4 (float single precision) and 8 (float double precision).
+ The default value is 4.
 \end_layout
 
@@ -2001,15 +2041,4 @@
 In case of a compressed vertical axis, the attribute defines the position
  of data points stored in the memory.
- The array size has to be equal to 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-data_n
-\end_layout
-
-\end_inset
-
-.
  For example, for a local axis of size 
 \begin_inset Flex Strong
@@ -2044,4 +2073,25 @@
  then the first and the last data points are ghosts and only the three middle
  values will be written in the reversed order.
+ Only 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+data_begin/data_n
+\end_layout
+
+\end_inset
+
+ or 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+data_index
+\end_layout
+
+\end_inset
+
+ can be used together.
 \end_layout
 
@@ -2103,4 +2153,5 @@
 
 .
+ Nota: currently this functionnality is broken, this attribute is meaningfull.
 \end_layout
 
@@ -2149,4 +2200,5 @@
 \begin_layout Standard
 Defines the positive direction for fields representing height or depth.
+ It will just be appended in axis metadata in output file, for CF compliance.
 \end_layout
 
@@ -2224,4 +2276,8 @@
 \end_layout
 
+\begin_layout Standard
+It will just be append in axis metadata in ouput file, for CF compliance.
+\end_layout
+
 \begin_layout Subsection*
 comment (optional): 
@@ -2293,5 +2349,6 @@
  attribute will be suffixed to the longitude and latitude dimensions and
  axis name.
- If the domain name is not provided, it will be generated automatically.
+ If the domain name is not provided, it will be generated automatically
+ with the id of the domain.
 \end_layout
 
@@ -2403,4 +2460,17 @@
 Defines the name of the first domain dimension as it will appear in the
  file's metadata.
+ The default value is '
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+X
+\end_layout
+
+\end_inset
+
+'.
+ In case of multiple domain in the file, the dimension will be preffixed
+ by the domain name.
 \end_layout
 
@@ -2430,4 +2500,17 @@
 Defines the name of the second domain dimension as it will appear in file's
  metadata.
+ The default value is '
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+Y
+\end_layout
+
+\end_inset
+
+'.
+ In case of multiple domain in the file, the dimension will be preffixed
+ by the domain name.
 \end_layout
 
@@ -2758,4 +2841,30 @@
 
 .
+ In this case the first and second dimensions are collapsed into a linear
+ array.
+ For unstrutured and gaussian grid, the array size sould be 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni
+\end_layout
+
+\end_inset
+
+ (the second dimension 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj
+\end_layout
+
+\end_inset
+
+ is not used).
+ Only latvalue_1d or latvalue_2d can be defined.
+ Also the layout of latitude and longitude should be in conformance with
+ each other: either 1D or 2D.
 \end_layout
 
@@ -2776,14 +2885,22 @@
 \begin_layout Standard
 Defines the longitude values of a local domain.
- For cartesian and curvilinear grids the array size should be 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-ni
-\begin_inset Formula $\times$
-\end_inset
-
-nj
+ For cartesian grid, the array size must beand curvilinear grids the array
+ size should be 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+(ni,nj)
+\end_layout
+
+\end_inset
+
+.
+ For unstructured or gaussian grid it sould be 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+(ni,1)
 \end_layout
 
@@ -2812,6 +2929,5 @@
 \begin_layout Standard
 Defines the latitude values of a local domain.
- For a cartesian grid, the size of the array will be nj.
- For a curvilinear grid, the size of the array will be 
+ For a cartesian and curvilinear grid, the array size should be 
 \begin_inset Flex Strong
 status collapsed
@@ -2828,5 +2944,30 @@
 
 .
- 
+ In this case the first and second dimensions are collapsed into a linear
+ array.
+ For unstrutured and gaussian grid, the array size sould be 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+ni
+\end_layout
+
+\end_inset
+
+ (the second dimension 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nj
+\end_layout
+
+\end_inset
+
+ is not used).
+ Only latvalue_1d or latvalue_2d can be defined.
+ Also the layout of latitude and longitude should be in conformance with
+ each other: either 1D or 2D.
 \end_layout
 
@@ -2847,14 +2988,21 @@
 \begin_layout Standard
 Defines the latitude values of a local domain.
- For cartesian and curvilinear grids the array size should be 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-ni
-\begin_inset Formula $\times$
-\end_inset
-
-nj
+ For cartesian grid and curvilinear grids the array size should be 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+(ni,nj)
+\end_layout
+
+\end_inset
+
+.
+ For unstructured or gaussian grid it sould be 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+(ni,1)
 \end_layout
 
@@ -2890,5 +3038,18 @@
 
 \begin_layout Standard
-Defines the longitude name as it will appear in an output file.
+Define the longitude name as it will appear in an output file.
+ If not defined, the default will be '
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+lon
+\end_layout
+
+\end_inset
+
+'.
+ In case of multiple domain defined in a file, the longitude name will be
+ suffixed by the domain name.
 \end_layout
 
@@ -2916,5 +3077,18 @@
 
 \begin_layout Standard
-Defines the latitude name as it will appear in an output file.
+efine the longitude name as it will appear in an output file.
+ If not defined, the default will be '
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+lat
+\end_layout
+
+\end_inset
+
+'.
+ In case of multiple domain defined in a file, the longitude name will be
+ suffixed by the domain name.
 \end_layout
 
@@ -2934,7 +3108,10 @@
 
 \begin_layout Standard
-Defines the maximum number of vertices for a grid.
- The attribute is required for specifying the cell boundaries of unstructured
- meshes.
+Used only for unstructured domain.
+ Defines the maximum number of vertices for a grid.
+ The attribute is required for specifying the cell boundaries of the unstructure
+d meshes.
+ For other grid (cartesian, curvilinear or gaussian), the nvertex value
+ will be set automatically to 4.
 \end_layout
 
@@ -2954,6 +3131,6 @@
 
 \begin_layout Standard
-Defines the longitude values of domain vertexes.
- The attribute 
+Defines the longitude values of the domain vertexes.
+ For unstructured domain, the attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -2965,7 +3142,13 @@
 \end_inset
 
- must be also defined.
- The array dimensions must be 
-\begin_inset Formula $\textbf{nvertex}\times\textbf{ni}$
+ must be also defined (for other mesh it is set automatically to 4).
+ The array dimensions shape must be of size
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+(nvertex, ni)
+\end_layout
+
 \end_inset
 
@@ -2988,6 +3171,120 @@
 
 \begin_layout Standard
-Defines the longitude values of domain vertexes.
- The attribute 
+Defines the longitude values of the domain vertexes.
+ For unstructured domain, the attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nvertex
+\end_layout
+
+\end_inset
+
+ must be also defined (for other mesh it is set automatically to 4).
+ This attribute is useful when lonvalue_2d is defined.
+ for cartesian and curvilinear domain, the array dimensions shape must be
+ of size 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+(nvertex, ni, nj)
+\end_layout
+
+\end_inset
+
+, and for gaussian or unstructured domain, it sould be of size 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+(nvertex, ni, 1)
+\end_layout
+
+\end_inset
+
+.
+ For cartesian, curvilinear .
+ Either 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+bounds_lon_1d
+\end_layout
+
+\end_inset
+
+ or 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+bounds_lon_2d
+\end_layout
+
+\end_inset
+
+ can be defined.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_1d (optional): 
+\emph on
+2D-array of double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lat(:,:)
+\end_layout
+
+\begin_layout Standard
+Defines the latitude values of the domain vertexes.
+ For unstructured domain, the attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+nvertex
+\end_layout
+
+\end_inset
+
+ must be also defined (for other mesh it is set automatically to 4).
+ The array dimensions shape must be of size
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+(nvertex, ni)
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+bounds_lat_2d (optional): 
+\emph on
+3D-array of double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: bounds_lat(:,:)
+\end_layout
+
+\begin_layout Standard
+Defines the latitude values of domain vertexes.
+ For unstructured domain, the attribute 
 \begin_inset Flex Strong
 status collapsed
@@ -3001,80 +3298,48 @@
  must be also defined.
  This attribute is useful when lonvalue_2d is defined.
- The array dimensions must be 
-\begin_inset Formula $\textbf{nvertex}\times\textbf{ni}\times\textbf{nj}$
+ for cartesian and curvilinear domain, the array dimensions shape must be
+ of size 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+(nvertex, ni, nj)
+\end_layout
+
+\end_inset
+
+, and for gaussian or unstructured domain, it sould be of size 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+(nvertex, ni, 1)
+\end_layout
+
 \end_inset
 
 .
- Either bounds_lon_1d or bounds_lon_2d can be defined.
-\end_layout
-
-\begin_layout Subsection*
-bounds_lat_1d (optional): 
-\emph on
-2D-array of double
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-DOUBLE PRECISION :: bounds_lat(:,:)
-\end_layout
-
-\begin_layout Standard
-Defines the latitude values of domain vertexes.
- The attribute 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-nvertex
-\end_layout
-
-\end_inset
-
- must be also defined.
- The array dimensions must be 
-\begin_inset Formula $\textbf{nvertex}\times\textbf{ni}$
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection*
-bounds_lat_2d (optional): 
-\emph on
-3D-array of double
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-DOUBLE PRECISION :: bounds_lat(:,:)
-\end_layout
-
-\begin_layout Standard
-Defines the latitude values of domain vertexes.
- The attribute 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-nvertex
-\end_layout
-
-\end_inset
-
- must be also defined.
- The attribute is useful when lonvalue_2d is defined.
- The array dimensions must be 
-\begin_inset Formula $\textbf{nvertex}\times\textbf{ni}\times\textbf{nj}$
-\end_inset
-
-.
- Either bounds_lon_1d or bounds_lon_2d can be defined.
+ For cartesian, curvilinear .
+ Either 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+bounds_lon_1d
+\end_layout
+
+\end_inset
+
+ or 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+bounds_lon_2d
+\end_layout
+
+\end_inset
+
+ can be defined.
 \end_layout
 
@@ -3098,10 +3363,24 @@
 
 \begin_layout LyX-Code
-CHARACTER(LEN=*) :: lon_name
-\end_layout
-
-\begin_layout Standard
-Defines the longitude name of domain vertexes as it will appear in an output
- file.
+CHARACTER(LEN=*) :: bounds_lon_name
+\end_layout
+
+\begin_layout Standard
+Defines the boundaries longitude boundaries name of domain as it will appear
+ in an output file.
+ Default value is '
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+bounds_lon
+\end_layout
+
+\end_inset
+
+'.
+ In case of multiple domains defined in a same file, the boundaries name
+ will be suffixed by the domain name.
+ 
 \end_layout
 
@@ -3129,6 +3408,20 @@
 
 \begin_layout Standard
-Defines the latitude name of domain vertexes as it will appear in an output
- file.
+Defines the boundaries longitude boundaries name of domain as it will appear
+ in an output file.
+ Default value is '
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+bounds_lon
+\end_layout
+
+\end_inset
+
+'.
+ In case of multiple domains defined in a same file, the boundaries name
+ will be suffixed by the domain name.
+ 
 \end_layout
 
@@ -3149,19 +3442,62 @@
 \begin_layout Standard
 The area of cells.
- The size of the array must be 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-ni
-\begin_inset Formula $\times$
-\end_inset
-
-nj
-\end_layout
-
-\end_inset
-
-.
+ The size of the array must 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+(ni, nj)
+\end_layout
+
+\end_inset
+
+ for cartesian or curvilinear domain and (ni, 1) for unstructured or gaussian
+ domain.
+ If this attribute is defined, it will be wrote in the output file as domain
+ metadata.
+ This attribute could be also used in domain interpolation to take into
+ account the area of the cell instead to take the computed value (for conservati
+on consideration).
+ 
+\end_layout
+
+\begin_layout Subsection*
+radius (optional): 
+\emph on
+double
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+DOUBLE PRECISION :: radius
+\end_layout
+
+\begin_layout Standard
+Define the radius of the planet (or earth).
+ If defined, it can be used by domain interpolation together with 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+area
+\end_layout
+
+\end_inset
+
+ domain attribute in order to renormalize weight to compute conservative
+ interpolation (see 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+domain_interpolate
+\end_layout
+
+\end_inset
+
+ filter).
 \end_layout
 
@@ -3181,8 +3517,8 @@
 
 \begin_layout Standard
-Defines the precision in bytes of domain attributes.
- Available values are: 2 (integer), 4 (float single precision) and 8 (float
- double precision).
- The default value of 8.
+Defines the precision (in bytes) for which domain attributes (longitude,
+ latitude, boudairies, ...) will be written in output file.
+ Available values are: 4 (float single precision) and 8 (float double precision).
+ The default value is 4 bytes.
 \end_layout
 
@@ -3304,4 +3640,5 @@
 
  must be defined together.
+ Only data_ibegin/data_ni or data_i_index/ 
 \end_layout
 
@@ -3502,10 +3839,21 @@
 In case of a compressed horizontal domain, define the data indexation for
  the first dimension.
- The array size must be 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-data_n
+ This attribute cannot be used together with 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+data_ibegin/data_ni
+\end_layout
+
+\end_inset
+
+ attributes.
+ This attribute can be used only when 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+data_dim=1
 \end_layout
 
@@ -3513,4 +3861,19 @@
 
 .
+ The size of data_i_index determine the size of the fields dimension of
+ the corresponding domain, that is sent from the model.
+ Value can be negative or greater than 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+ni
+\end_layout
+
+\end_inset
+
+.
+ In this case, the corresponding point will be considered as masked and
+ will not be extracted to enter the workflow.
 \end_layout
 
@@ -3530,12 +3893,23 @@
 
 \begin_layout Standard
-In case of a compressed horizontal domain, defines the data indexation for
- the second dimension.
- The attribute is meaningful only if 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-data_dim=2
+In case of a compressed horizontal domain, define the data indexation for
+ the first dimension.
+ This attribute cannot be used together with 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+data_jbegin/data_nj
+\end_layout
+
+\end_inset
+
+ attributes.
+ This attribute can be used only when 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+data_dim=1
 \end_layout
 
@@ -3543,4 +3917,19 @@
 
 .
+ The size of data_i_index determine the size of the fields dimension of
+ the corresponding domain, that is sent from the model.
+ Value can be negative or greater than 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+nj
+\end_layout
+
+\end_inset
+
+.
+ In this case, the corresponding point will be considered as masked and
+ will not be extracted to enter the workflow.
 \end_layout
 
@@ -3560,5 +3949,5 @@
 
 \begin_layout Standard
-Defines the 1D mask of a local domain.
+Defines a 1D mask of a local domain.
  The masked value will be replaced by the value of the field attribute 
 \begin_inset Flex Strong
@@ -3572,6 +3961,16 @@
 
  in an output file.
- This value is useful in case a field is stored linearly in memory.
- By default none of the values are masked.
+ This attribute must be of size 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+ni*nj
+\end_layout
+
+\end_inset
+
+.
+ By default no values are masked.
 \end_layout
 
@@ -3591,5 +3990,5 @@
 
 \begin_layout Standard
-Defines the 2D mask of a local domain.
+Defines a 2D mask of a local domain.
  The masked values will be replaced by the value of the field attribute
  
@@ -3604,6 +4003,16 @@
 
  in an output file.
- By default, none of the values are masked.
- Only mask_2d or mask_1d can be defined.
+ This attribute must be of size 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+(ni,nj)
+\end_layout
+
+\end_inset
+
+.
+ By default no values are masked.
 \end_layout
 
@@ -3653,5 +4062,5 @@
 Defines the global index of the first dimension of a local domain held by
  a process.
- By default the size of the array is equal to 
+ By default the size of the array must be 
 \begin_inset Flex Strong
 status collapsed
@@ -3691,5 +4100,5 @@
 Defines the global index of the second dimension of a local domain held
  by a process.
- By default the size of the array is equal to 
+ By default the size of the array must be 
 \begin_inset Flex Strong
 status collapsed
@@ -4000,4 +4409,5 @@
 \begin_layout Standard
 Allows a user to set a comment.
+ Meaningfull for the XIOS workflow.
 \end_layout
 
@@ -4134,5 +4544,6 @@
 
 \begin_layout Standard
-Defines the unit of a field.
+Defines the unit of a field, as it will apear in the associated metadata
+ in the output file.
 \end_layout
 
@@ -4182,5 +4593,6 @@
 
 .
- It is useful for sub-processes called at different frequency in a model.
+ It can be also useful for sub-processes called at different frequency in
+ a model.
  The default value is equal to the file attribute 
 \begin_inset Flex Strong
@@ -4251,5 +4663,5 @@
 
 \begin_layout Plain Layout
-freq_op
+freq_op - 1ts
 \end_layout
 
@@ -4356,5 +4768,5 @@
  Available values are: 2 (integer), 4 (float single precision) and 8 (float
  double precision).
- The default value of 8.
+ The default value is 4 (float single precision).
 \end_layout
 
@@ -4637,5 +5049,21 @@
 
 \begin_layout Standard
-Defines the way operations pass from a grid to other grids.
+Defines the way operations pass from a grid to other grids, combined with
+ field_ref attribute.
+ Each grid name in 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+grid_path
+\end_layout
+
+\end_inset
+
+ must be separated by a comma.
+ All tranformation realated to the grid listed in grid_path will be applyed
+ successively, including the grid destination associated to the destination
+ field.
+ 
 \end_layout
 
@@ -4656,6 +5084,69 @@
 \begin_layout Standard
 Defines the value which will be used instead of missing field data.
- If no value is provided, the missing data will be replaced by uninitialized
- values what can lead to undefined behavior.
+ For an entry field (coming from model, or from an input file), if 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+detect_missing_value
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ are defined the values of the field equal to 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ will be replaced by NaN.
+ For output field (read from the model or sent to server), the NaN values
+ will be replaced by 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+, if defined.
+ For masked value, in output, if 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ is defined, the corresponding value will be replaced by 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+, otherwise, the value is undefined and will depend of the initial value
+ of the allocated memory block.
 \end_layout
 
@@ -4675,15 +5166,7 @@
 
 \begin_layout Standard
-All field values below 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-valid_min
-\end_layout
-
-\end_inset
-
- attribute value will be set to missing value.
+Define the minimum validity range of the field as it will be written as
+ a field metadata in the output file, accordingly to CF compliance.
+ 
 \end_layout
 
@@ -4703,15 +5186,7 @@
 
 \begin_layout Standard
-All field values above 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-valid_max
-\end_layout
-
-\end_inset
-
- attribute value will be set to missing value.
+Define the maximum validity range of the field as it will be written as
+ a field metadata in the output file, accordingly to CF compliance.
+ 
 \end_layout
 
@@ -4731,7 +5206,40 @@
 
 \begin_layout Standard
-When XIOS detects a default value in a field, it does not take into account
- the value during arithmetic operations such as averaging, minimum, maximum,
- etc.
+For entry field, if 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+detect_missing_value
+\end_layout
+
+\end_inset
+
+ is set to true and 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ is defined, the corresponding value will be replaced by NaN (see 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+default_value
+\end_layout
+
+\end_inset
+
+ attribute).
+ This attribute is also used during temporal operation such as averaging,
+ minimum, maximum, accumulate..., to detect NaN value and remove it from the
+ computation (otherwise the result will be NaN).
+ It is used also in some spatial transformation, but will be replaced later
+ by a specific detect_missing value attribute related to the transformation.
 \end_layout
 
@@ -4773,4 +5281,35 @@
 
  value will be subtracted from the field values.
+ It can be used together with 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+scale_factor
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+prec
+\end_layout
+
+\end_inset
+
+ attributes in order to reduce the data range and the volume of written
+ data.
+ Fo reading, this attribute is also taking into account to 
+\begin_inset Quotes eld
+\end_inset
+
+decompress
+\begin_inset Quotes erd
+\end_inset
+
+ data.
 \end_layout
 
@@ -4812,4 +5351,35 @@
 
  value.
+ It can be used together with 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+add_offset
+\end_layout
+
+\end_inset
+
+ and 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+prec
+\end_layout
+
+\end_inset
+
+ attributes in order to reduce the data range and the volume of written
+ data.
+ Fo reading, this attribute is also taking into account to 
+\begin_inset Quotes eld
+\end_inset
+
+decompress
+\begin_inset Quotes erd
+\end_inset
+
+ data.
 \end_layout
 
@@ -4889,4 +5459,48 @@
 \emph default
 .
+ A field will be tagged as timeseries if 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+ts_enabled
+\end_layout
+
+\end_inset
+
+ is set to true, and the associated file attribute timeserie is set to 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+only
+\end_layout
+
+\end_inset
+
+, 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+both
+\end_layout
+
+\end_inset
+
+ or 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+exclusive
+\end_layout
+
+\end_inset
+
+.
+ A field tagged as timeseries will be output alone in a specific file suffixed
+ by the field name.
+ 
 \end_layout
 
@@ -4931,4 +5545,5 @@
 \begin_layout Standard
 Defines the cell methods field attribute.
+ it will be written as associated field metadata, accordingly to CF compliance.
 \end_layout
 
@@ -4949,4 +5564,62 @@
 \begin_layout Standard
 Defines the cell methods mode of a field.
+ 
+\end_layout
+
+\begin_layout Standard
+XIOS defined itself the cell_method string, taking into account the operations
+ applied on the field.
+ But in some case it can modified, with the 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+cell_methods
+\end_layout
+
+\end_inset
+
+ attribute.
+ 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+overwrite
+\end_layout
+
+\end_inset
+
+ will replace the computed default string by the 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+cell_methods
+\end_layout
+
+\end_inset
+
+ attribute, 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+prefix
+\end_layout
+
+\end_inset
+
+ will prefix the default string, and 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+suffix
+\end_layout
+
+\end_inset
+
+ will suffix the default string.
 \end_layout
 
@@ -4975,4 +5648,5 @@
 \begin_layout Standard
 Allows a user to set a comment.
+ Meaningfull on XIOS workflow.
 \end_layout
 
@@ -5052,4 +5726,53 @@
 \end_layout
 
+\begin_layout Standard
+This attribute specify if a variable present in a file (global attribute)
+ must be reported in each timeseries generated file.
+ If 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+ts_target=none
+\end_layout
+
+\end_inset
+
+, the variable is not included, if 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+ts_target=file
+\end_layout
+
+\end_inset
+
+, the variable is included in each generated file as global attribute, if
+ 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+ts_target=field
+\end_layout
+
+\end_inset
+
+, the variable is included as field attribute associated to the generated
+ files (field metadata), if 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+ts_target=both
+\end_layout
+
+\end_inset
+
+, the varible is included twice as file global attribute and field attribute.
+ 
+\end_layout
+
 \begin_layout Section
 File attribute reference
@@ -5057,5 +5780,5 @@
 
 \begin_layout Subsection*
-name (mandatory): 
+name (optional): 
 \emph on
 string
@@ -5072,4 +5795,24 @@
 \begin_layout Standard
 Defines the name of a file.
+ If not specified a name is automaticaly defined from the file id.
+ For netcdf output, a 
+\begin_inset Quotes eld
+\end_inset
+
+
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+.nc
+\end_layout
+
+\end_inset
+
+
+\begin_inset Quotes erd
+\end_inset
+
+ suffix will be added to the file name.
 \end_layout
 
@@ -5350,5 +6093,5 @@
 
 \begin_layout Subsection*
-split_start_offset(optional): 
+split_start_offset (optional): 
 \emph on
 duration
@@ -5364,5 +6107,17 @@
 
 \begin_layout Standard
-Defines the offset of file splitting.
+Defines the offset of the start splitting date when 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+split_freq
+\end_layout
+
+\end_inset
+
+ attribute is enabled.
+ This attribute is used only to shift the start date of the splitting format.
+ It has no impact on the real splitting date.
  
 \end_layout
@@ -5382,4 +6137,21 @@
 \end_layout
 
+\begin_layout Standard
+Defines the offset of the end splitting date when 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+split_freq
+\end_layout
+
+\end_inset
+
+ attribute is enabled.
+ This attribute is used only to shift the end date of the splitting format.
+ It has no impact on the real splitting date.
+ 
+\end_layout
+
 \begin_layout Subsection*
 split_last_date (optional): 
@@ -5394,4 +6166,54 @@
 \begin_layout LyX-Code
 CHARACTER(LEN=*) :: split_last_date
+\end_layout
+
+\begin_layout Standard
+Define the end splitting date when 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+split_freq
+\end_layout
+
+\end_inset
+
+ attribute is enabled.
+ If 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+split_last_date
+\end_layout
+
+\end_inset
+
+ is lesser than the compute end splitting date, then the end splitting date
+ will be replaced by 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+split_last_date
+\end_layout
+
+\end_inset
+
+ in the file name.
+ This attribute can be usefull when a simulation is over before the computed
+ splitting date, to be consistent with the file internal calendar.
+ The format of 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+split_last_date
+\end_layout
+
+\end_inset
+
+ string attribute must be consistent with a date.
+ 
 \end_layout
 
@@ -5455,5 +6277,5 @@
 
 \begin_layout Subsection*
-type (mandatory): 
+type (optionnal): 
 \emph on
 enumeration {one_file, multiple_file}
@@ -5494,4 +6316,15 @@
 
 : one single global file is wrote using netcdf4 parallel access.
+ The default value is 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+multiple_file
+\end_layout
+
+\end_inset
+
+.
 \end_layout
 
@@ -5567,6 +6400,6 @@
 \series default
 \emph default
- only if the NetCDF4 library was compiled with Parallel NetCDF support (--enable
--pnetcdf).
+ only if the NetCDF4 library was compiled with Parallel NetCDF support (âenable-
+pnetcdf).
 \end_layout
 
@@ -5600,4 +6433,6 @@
 
 .
+ Nota : this attribute is now deprecated, and has no effect on I/O parallelism.
+ 
 \end_layout
 
@@ -5619,5 +6454,7 @@
 For files in the read mode, defines if parallel or serial I/O will be used
  by model processes for reading file metadata.
- The default value is false implying serial I/O for reading metadata.
+ The default value is false implying serial I/O for reading metadata on
+ client side.
+ 
 \end_layout
 
@@ -5638,5 +6475,18 @@
 \begin_layout Standard
 Defines the file conventions.
+ The netcdf file can be output following the CF convention (1.7) or the UGRID
+ convention, usefull for unstructured mesh.
  By default the CF conventions are followed.
+ The global file attribute 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+Conventions
+\end_layout
+
+\end_inset
+
+ will be added in the output file following the specified value.
 \end_layout
 
@@ -5661,4 +6511,25 @@
 \series default
 attribute to be added to file global attributes.
+ This attribute will overwrite the 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+Conventions
+\end_layout
+
+\end_inset
+
+ global file attribute generated by the 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+convention
+\end_layout
+
+\end_inset
+
+ XIOS attribute.
 \end_layout
 
@@ -5678,14 +6549,36 @@
 
 \begin_layout Standard
-Defines whether data is to be appended at the end of a file if it already
- exists or if the existing file is to be overwritten.
+If this attribute is set to 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+true
+\end_layout
+
+\end_inset
+
+ and if the file is present, the file is open, and data will be append at
+ the specified time record.
+ If the time record already exists, data will be overwritten, otherwise
+ a new time record is created and data is appended.
+ If append is set to 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+false
+\end_layout
+
+\end_inset
+
+, a new file will be created, even if a old file is present, overwritting
+ it.
  The default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-
-\emph on
-false
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+append = false
 \end_layout
 
@@ -5837,10 +6730,38 @@
 \begin_layout Standard
 The default value is 
-\series bold
-\emph on
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
 centered
-\series default
-\emph default
+\end_layout
+
+\end_inset
+
+ if there are only centered time axis.
+ It will be 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+instant
+\end_layout
+
+\end_inset
+
+ if there are only instant time axis.
+ If both instant and centered time axis are present, the default value will
+ be 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+centered
+\end_layout
+
+\end_inset
+
 .
+ 
 \end_layout
 
@@ -5861,4 +6782,15 @@
 \begin_layout Standard
 Define the name of a time counter.
+ The default value is 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+time_counter
+\end_layout
+
+\end_inset
+
+.
 \end_layout
 
@@ -5923,5 +6855,16 @@
 
 \begin_layout Standard
-The default value is 
+When time series is enabled, each tagged field (see 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+ts_enabled
+\end_layout
+
+\end_inset
+
+ field attribute) is output into a separate file.
+ The default value is 
 \series bold
 \emph on
@@ -5965,4 +6908,40 @@
 \end_layout
 
+\begin_layout Standard
+Define the time unit of the time axis present in the file.
+ Two choices are possible : 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+seconds
+\end_layout
+
+\end_inset
+
+ or 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+days
+\end_layout
+
+\end_inset
+
+.
+ The default value is 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+seconds
+\end_layout
+
+\end_inset
+
+.
+\end_layout
+
 \begin_layout Subsection*
 record_offset (optional): 
@@ -5980,5 +6959,38 @@
 
 \begin_layout Standard
-Defines the offset of a record from the beginning record.
+Defines an offset for the time records associated to the file.
+ For a file in 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+read
+\end_layout
+
+\end_inset
+
+ mode, the first record sent will be shift of
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+record_offset
+\end_layout
+
+\end_inset
+
+ value instead of 0.
+ For file in write mode, the first time record to be output will begin from
+ 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+record_offset
+\end_layout
+
+\end_inset
+
+ value.
  The default value is 0.
 \end_layout
@@ -6191,5 +7203,24 @@
 
 \begin_layout Standard
-Defines the name of file's UUID.
+Defines the name of the global attribute designing the UUID of the file.
+ The default global attribute is 
+\begin_inset Quotes eld
+\end_inset
+
+
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+uuid
+\end_layout
+
+\end_inset
+
+
+\begin_inset Quotes erd
+\end_inset
+
+.
 \end_layout
 
@@ -6218,4 +7249,25 @@
 \begin_layout Standard
 Defines the format of file's UUID.
+ In the 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+uuid_format
+\end_layout
+
+\end_inset
+
+ string, the sub-string 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+%uuid%
+\end_layout
+
+\end_inset
+
+ will be replaced by string computed UUID.
 \end_layout
 
@@ -6269,6 +7321,8 @@
 
 \begin_layout Standard
-Defines a reduction operation performed on a scalar across model processes.
- (It is analogous to MPI_Allreduce.)
+Defines the type of reduction operation performed on the scalar.
+ Like a scalar is redondant accross process (except if masked), the reduction
+ will be similar to a MPI reduction accros procces.
+ 
 \end_layout
 
@@ -6319,5 +7373,7 @@
 \begin_layout Standard
 Defines the interpolation type on an axis.
- For now only polynomial interpolation is available.
+ For now only polynomial interpolation is available, so this attribute is
+ currently meaningless.
+ 
 \end_layout
 
@@ -6380,5 +7436,4 @@
 \begin_layout Standard
 Defines a reduction operation performed on an axis across model processes.
- (It is analogous to MPI_Allreduce.)
 \end_layout
 
@@ -6638,4 +7693,25 @@
 \begin_layout Standard
 Defines the domain dimension along which an axis will be extracted.
+ 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+iDir
+\end_layout
+
+\end_inset
+
+ means along the direction i, 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+jDir
+\end_layout
+
+\end_inset
+
+ along the direction j.
 \end_layout
 
@@ -6661,5 +7737,6 @@
 Define a file which contains the weight values for interpolation from domain
  source to domain destination.
- If not specified, the internal interpolation module will be used.
+ If not specified, the internal interpolation module will be used to compte
+ the weights.
 \end_layout
 
@@ -6681,4 +7758,6 @@
 Defines the order of interpolation.
  This attribute is only for internal interpolation module.
+ Currently, only first order and second order are available for conservative
+ interpolations.
  The default value is 2.
 \end_layout
@@ -6705,4 +7784,25 @@
 Defines the domain dimension along which a reduction of the domain into
  an axis will be performed.
+ 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+iDir
+\end_layout
+
+\end_inset
+
+ means along the direction i, 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+jDir
+\end_layout
+
+\end_inset
+
+ along the direction j.
 \end_layout
 
@@ -6721,6 +7821,10 @@
 \end_layout
 
-\begin_layout Subsection*
-local: 
+\begin_layout Standard
+Defines the reduction operation performed on the domain.
+\end_layout
+
+\begin_layout Subsection*
+local (optionnal): 
 \emph on
 bool
@@ -6737,5 +7841,5 @@
 \begin_layout Standard
 Defines whether the reduction should be performed locally on data owned
- by each process.
+ by each process or on the global domain.
 \end_layout
 
@@ -6762,8 +7866,14 @@
 \end_layout
 
-\begin_layout Subsection*
-local: 
+\begin_layout Standard
+Defines the reduction operation performed on the domain.
+\end_layout
+
+\begin_layout Subsection*
+local (optionnal): 
 \emph on
 bool
+\emph default
+ 
 \end_layout
 
@@ -6778,5 +7888,16 @@
 \begin_layout Standard
 Defines whether the reduction should be performed locally on data owned
- by each process.
+ by each process or on the global domain.
+ The default value is 
+\begin_inset Flex Code
+status open
+
+\begin_layout Plain Layout
+false
+\end_layout
+
+\end_inset
+
+.
 \end_layout
 
@@ -6833,4 +7954,5 @@
 \series default
 .
+ Default value is 0.
 \end_layout
 
@@ -6947,4 +8069,8 @@
 \end_layout
 
+\begin_layout Standard
+Define the size of the halo expansion.
+\end_layout
+
 \begin_layout Subsection*
 type (optional): 
@@ -7695,4 +8821,8 @@
 \begin_layout Itemize
 If OASIS coupler is not used (using_oasis=false)
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
@@ -7833,4 +8963,8 @@
 
 )
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
@@ -7848,4 +8982,8 @@
 
 ) 
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
@@ -7958,4 +9096,8 @@
 
 )
+\begin_inset Separator latexpar
+\end_inset
+
+
 \end_layout
 
